vpSetMatrix(3)

NAME
vpSetMatrix - load a matrix into the current transformation matrix

SYNOPSIS
#include <volpack.h>

vpSetMatrix(vpc, m) vpContext *vpc; vpMatrix4 m;

ARGUMENTS

vpc VolPack context from vpCreateContext.

m   Input matrix.

DESCRIPTION
vpSetMatrix is used to load a 4-by-4 transformation matrix into the current transformation matrix. Use vpCurrentMatrix to set the current transformation matrix.

STATE VARIABLES
The current transformation matrix parameters can be retrieved with the following state variable codes (see vpGeti(3)): VP_CURRENT_MATRIX.

ERRORS
The return value is always VP_OK.

SEE ALSO
VolPack(3), vpCreateContext(3), vpCurrentMatrix(3), vpGetMatrix(3)